import * as api from './api'
import { UserPageQuery, CreateCrudOptionsProps, CreateCrudOptionsRet } from '@fast-crud/fast-crud'
import { inject } from 'vue'
import { BaseColumn } from '/@/views/adManage/utils/commonTabColumn.js'
import XEUtils from 'xe-utils'


export const createCrudOptions = function ({ crudExpose, context }: CreateCrudOptionsProps): CreateCrudOptionsRet {
	const { fetchData } = context

	//权限判定
	const hasPermissions = inject('$hasPermissions');

	return {
		crudOptions: {
			table: {
			},
			container: {
        fixedHeight: false
      },
			actionbar: {
				show: false,
				buttons: {
					add: {
						show: false
					}
				}
			},
			search: {
				show: true,
				buttons: {
					search: {
						show: false
					},
					reset: {
						show: false
					}
				}
			},
			toolbar: {
        buttons: {
					search: {
						show: true
					},
					compact: {
						show: false
					},
					refresh: {
						click: async () => fetchData()
					}
				}
			},
			pagination: {
				show: false
			},
			rowHandle: {
        show: false
      },
			columns: {
        placementClassification: {
          title: '广告位',
          column: {
            width: '200px',
						fixed: 'left'
          }
        },
        ...BaseColumn
			}
		}
	}
}
