import dayjs, { Dayjs } from 'dayjs'
import XEUtils from 'xe-utils'

export function recentDaysRange(timezone: string, days: number):string[] {
    const now_tz = dayjs(new Date()).tz(timezone)
    const start = now_tz.subtract(days, 'day')
    const end = now_tz.subtract(1, 'day')
    return [start.format("YYYY-MM-DD"), end.format("YYYY-MM-DD")]
}

export function buildChartOpt(option:any, metrics: any[]) {
    const tmp: any = {}
    const opt:any = {
        legend: {selected: {}},
        yAxis: [],
        series: []
    }
    for (const info of metrics) { tmp[info.color] = info }
    for (const info of option.series) {
        const color = info.itemStyle.color
        const metricInfo = tmp[color]
        if (metricInfo) {
        opt.series.push({
            id: info.id,
            name: metricInfo.label, 
            encode: {y: metricInfo.metric},
        })
        opt.yAxis.push({id: info.id, name: metricInfo.label, show: true})
        } else {
        opt.yAxis.push({id: info.id, show: false})
        }
    }
    for (const label of Object.keys(option.legend.selected)) {
        if (XEUtils.findIndexOf(metrics, info => info.label === label) === -1) {
        opt.legend.selected[label] = false
        } else {
        opt.legend.selected[label] = true
        }
    }
    return opt
}
